Bug 263164 - GenView segfault when save gifanim to jpeg
Summary: GenView segfault when save gifanim to jpeg
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-14 17:13 UTC by pascaubert
Modified: 2012-10-19 13:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pascaubert 2011-01-14 17:13:02 UTC
Application: gwenview (2.5.0)
KDE Platform Version: 4.5.95 (4.6 RC2)
Qt Version: 4.7.1
Operating System: Linux 2.6.37-desktop-pa x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

i have open one gif anim, GenView crash with segfault if i save the gif in one JPG file.

start

open "filename.gif"   one gif-anim file

   display gif-anim ok in GenView

save as + filter JPEG and manualy  enter  "filename.jpg" 

   GenView crash

end

The crash can be reproduced every time.

-- Backtrace:
Application: Gwenview (gwenview), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f539bb8c760 (LWP 7525))]

Thread 2 (Thread 0x7f53893d9710 (LWP 7526)):
#0  0x00007f53988cf6b3 in poll () from /lib64/libc.so.6
#1  0x00007f53950b9fd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f53950ba510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f539ac8bae6 in QEventDispatcherGlib::processEvents (this=0x8a99e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f539ac60262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f539ac60475 in QEventLoop::exec (this=0x7f53893d8de0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f539ab731a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f539ac41918 in QInotifyFileSystemWatcherEngine::run (this=0x901ae0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f539ab75a1e in QThreadPrivate::start (arg=0x901ae0) at thread/qthread_unix.cpp:285
#9  0x00007f53973bca4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f53988d882d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f539bb8c760 (LWP 7525)):
[KCrash Handler]
#6  QObject::setProperty (this=0x0, name=0x7f539b4e3f73 "oldUrl", value=...) at kernel/qobject.cpp:3392
#7  0x00007f539b4881b3 in Gwenview::Document::save (this=0xb7f020, url=..., format=<value optimized out>) at /usr/src/debug/kdegraphics-4.5.95/gwenview/lib/document/document.cpp:227
#8  0x000000000042a23e in Gwenview::GvCore::saveAs (this=0x7fa180, url=...) at /usr/src/debug/kdegraphics-4.5.95/gwenview/app/gvcore.cpp:219
#9  0x0000000000443fac in Gwenview::MainWindow::saveCurrentAs (this=0x6a03c0) at /usr/src/debug/kdegraphics-4.5.95/gwenview/app/mainwindow.cpp:1261
#10 0x000000000044b5dd in Gwenview::MainWindow::qt_metacall (this=0x6a03c0, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0x7fff0b22c130)
    at /usr/src/debug/kdegraphics-4.5.95/build/gwenview/app/mainwindow.moc:159
#11 0x00007f539ac75fef in QMetaObject::activate (sender=0x9dce20, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff0b22c130) at kernel/qobject.cpp:3272
#12 0x00007f5399035952 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#13 0x00007f5399035b4a in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#14 0x00007f53994747f3 in ?? () from /usr/lib64/libQtGui.so.4
#15 0x00007f539947a80a in ?? () from /usr/lib64/libQtGui.so.4
#16 0x00007f539a128e0d in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libkdeui.so.5
#17 0x00007f539908d4a8 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007f539947b9fb in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007f539903bcd4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007f5399044a4a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#21 0x00007f539a15aec6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#22 0x00007f539ac60e2c in QCoreApplication::notifyInternal (this=0x7fff0b22db10, receiver=0xacf9d0, event=0x7fff0b22cdb0) at kernel/qcoreapplication.cpp:732
#23 0x00007f539903ccd5 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#24 0x00007f53990bb144 in ?? () from /usr/lib64/libQtGui.so.4
#25 0x00007f53990b95d9 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#26 0x00007f53990e1212 in ?? () from /usr/lib64/libQtGui.so.4
#27 0x00007f53950b9a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#28 0x00007f53950ba270 in ?? () from /usr/lib64/libglib-2.0.so.0
#29 0x00007f53950ba510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#30 0x00007f539ac8ba8f in QEventDispatcherGlib::processEvents (this=0x688c50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#31 0x00007f53990e0eae in ?? () from /usr/lib64/libQtGui.so.4
#32 0x00007f539ac60262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#33 0x00007f539ac60475 in QEventLoop::exec (this=0x7fff0b22da30, flags=...) at kernel/qeventloop.cpp:201
#34 0x00007f539ac648db in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#35 0x000000000044000f in main (argc=6, argv=0x7fff0b22df08) at /usr/src/debug/kdegraphics-4.5.95/gwenview/app/main.cpp:139

Possible duplicates by query: bug 257590.

Reported using DrKonqi
Comment 1 Matthias Fuchs 2011-01-26 22:38:07 UTC
SVN commit 1217368 by mfuchs:

Do not access zero pointer.
BUG:263164

 M  +2 -2      document.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217368
Comment 2 Matthias Fuchs 2011-01-26 22:38:55 UTC
This operation is unfortunately not supported. So saving this animated gif to jpeg won't work at least atm.
Comment 3 Matthias Fuchs 2011-01-26 22:40:53 UTC
SVN commit 1217369 by mfuchs:

Backport r1217368
Do not access zero pointer.
CCBUG:263164

 M  +2 -2      document.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217369
Comment 4 Matthias Fuchs 2011-01-27 18:01:28 UTC
SVN commit 1217503 by mfuchs:

Show error message if imlementation is not supported.
CCBUG:263164

 M  +7 -0      app/gvcore.cpp  
 M  +2 -0      lib/document/document.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217503
Comment 5 Matthias Fuchs 2011-01-27 18:03:40 UTC
SVN commit 1217504 by mfuchs:

Backport r1217503
Show error message if imlementation is not supported.
CCBUG:263164

 M  +7 -0      app/gvcore.cpp  
 M  +3 -0      lib/document/document.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217504